.\"	$NetBSD: wscons.conf.5,v 1.19 2008/11/22 23:08:31 reed Exp $
.\"
.\" Copyright (c) 2000-2008 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Hubert Feyrer <hubert@feyrer.de>.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd November 22, 2008
.Dt WSCONS.CONF 5
.Os
.Sh NAME
.Nm wscons.conf
.Nd workstation console config file
.Sh SYNOPSIS
.Nm
.Sh DESCRIPTION
The
.Nm
file defines parameters regarding to the workstation console (wscons).
The file consists of lines starting with a keyword, and one or more arguments.
Empty lines and lines starting with a hash
.Pq Dq \&#
are ignored.
.Pp
This configuration file is used by the
.Pa /etc/rc.d/wscons
script which parses
.Pa /etc/wscons.conf
and runs
.Xr wsconscfg 8 ,
.Xr wsconsctl 8 ,
and/or
.Xr wsfontload 8
as configured.
See
.Xr rc.conf 5
for details on enabling the rc.d script.
.Pp
The following keywords and arguments are recognized:
.Bl -tag -width keyboard
.It Sy font Ar name Ar width Ar height Ar enc Ar file
Used to load a font via
.Xr wsfontload 8 .
.Ar name
gives a font name that can be used later,
.Ar width
can be used to specify the width of a font character in pixel,
.Ar height
is the same, just for the font characters' height.
.Ar enc
is used to declare the font's encoding, see the description on
.Xr wsfontload 8 Ns 's
.Fl e
option for more detail.
.Ar file
gives the absolute path to the font file.
See
.Xr wsfontload 8
for more information.
.
.It Sy screen Ar idx Ar scr Ar emul
Add and configure virtual console number
.Ar idx
using a screen type of
.Ar scr
(e.g. 80x25) and a
.Ar emul
terminal emulation (e.g. vt100). See
.Xr wsconscfg 8
for further parameter description.
.
.It Sy keyboard Ar kbd
Attach and configure keyboard
.Ar kbd
using
.Dq Li "wsconscfg -k" .
If
.Ar kbd
is
.Sq Li -
or
.Sq Li auto ,
the first free keyboard will be used.
See
.Xr wsconscfg 8
for more information.
.
.It Sy encoding Ar enc
Set the keyboard map to the given language code
.Ar enc ,
using
.Dq Li "wsconsctl -w encoding=enc" .
The map must be supported by the keyboard driver in use and must be
compiled into the kernel.
See the keyboard driver's manpage (e.g.,
.Xr pckbd 4 ,
.Xr ukbd 4 )
for details.
.
.It Sy mapfile Ar file
Parses the contents of
.Ar file ,
which contains a keyboard map per line, and calls
.Dq Li "wsconsctl -w map+="
for each line.
See
.Xr wsconsctl 8
for details.
.
.It Sy mux Ar idx
Used to attach and configure keyboard/mouse multiplexors, using
.Dq Li "wsconscfg -m idx" .
See
.Xr wsconscfg 8
for more information.
.
.It Sy setvar Ar dev Ar var Ar val
Set arbitrary wscons variable
.Ar var
to value
.Ar val
for specified control device
.Ar dev .
Can be used for direct modification of
.Xr wscons 4
variables, when no other keywords are suitable.
See
.Xr wsconsctl 8
for more information.
.El
.Pp
Command arguments can be specified as
.Dq -
which makes default values come into effect as described in the
documentation of the utilities.
.Sh FILES
.Bl -tag -width /etc/wscons.conf -compact
.It Pa /etc/wscons.conf
.El
.Sh SEE ALSO
.Xr wscons 4 ,
.Xr wsconscfg 8 ,
.Xr wsconsctl 8 ,
.Xr wsfontload 8
